<?xml version="1.0" encoding="us-ascii"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
		version="1.0">
  <xsl:output method="xml" encoding="utf-8" indent="yes" />

  <xsl:template match="/">
    <xsl:apply-templates select="news" />
  </xsl:template>

  <xsl:template match="/news">
    <rss version="2.0">
      <xsl:comment>
	<xsl:text> $Ringlet: bsd-patches/news-rss.xsl,v 1.2 2004/01/08 08:30:05 roam Exp $ </xsl:text>
      </xsl:comment>
      <xsl:for-each select="vcs">
	<xsl:comment> 
	  <xsl:value-of select="concat(' ', @id, ' ')" />
	</xsl:comment>
      </xsl:for-each>
      
      <channel>
	<title>Peter Pentchev's FreeBSD Patchset News</title>
	<link>http://www.ringlet.net/~roam/bsd-patches/</link>
	<description>News about Peter Pentchev's various patchsets for
	  FreeBSD</description>

      <xsl:apply-templates select="*/*/*/event" />

      </channel>
    </rss>
  </xsl:template>

  <xsl:template match="/news//event">
    <item>
      <title>
	<xsl:value-of select="concat(../@name, ' ', ../../@name, ' ',
	  ../../../@name, ': ', @id)" />
      </title>
      <xsl:if test="@pubDate">
	<pubDate><xsl:value-of select="@pubDate" /></pubDate>
      </xsl:if>
      <xsl:if test="not(@pubDate)">
	<xsl:message terminate="no">
	  <xsl:value-of select='concat("News item with no publication date: ",
	    ../../../@name, "-", ../../@id, "-", ../@name, "-", @id)' />
	</xsl:message>
      </xsl:if>
      <link>
	<xsl:value-of select="concat(
	  'http://www.ringlet.net/~roam/bsd-patches/news.html#',
	  'event-', ../../../@name, '-', ../../@id, '-', ../@name,
	  '-', @id)" />
      </link>
      <description><xsl:apply-templates /></description>
    </item>
  </xsl:template>

  <xsl:template match="event/p/patch">
    <xsl:value-of select="concat(
      '&lt;a href=&quot;http://www.ringlet.net/~roam/bsd-patches/', @coll,
      '/', @name, '&quot;&gt;', @coll, '/', @name, '&lt;/a&gt;')" />
  </xsl:template>

  <xsl:template match="event/p/a">
    <xsl:text>&lt;a href=&quot;</xsl:text>
    <xsl:value-of select="@href" />
    <xsl:text>&quot;&gt;</xsl:text>
    <xsl:apply-templates />
    <xsl:text>&lt;/a&gt;</xsl:text>
  </xsl:template>
</xsl:stylesheet>
