<?xml version="1.0" encoding="us-ascii"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
		version="1.0">
  <xsl:output method="xml" encoding="utf-8" indent="yes"
    doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN"
    doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd" />

  <xsl:template match="/">
    <xsl:apply-templates select="news" />
  </xsl:template>

  <xsl:template match="/news">
    <html>
      <head>
	<title>
	  <xsl:text>A couple of weird FreeBSD patchsets</xsl:text>
	</title>
      </head>
      <body>
	<h1>
	  <xsl:text>News about Peter Pentchev's various patchsets for
	    FreeBSD</xsl:text>
	</h1>
      
	<xsl:for-each select="/news/year/month">
	  <p>
	    <strong>
	      <xsl:value-of select="concat(@name, ' ', ../@name)" />
	    </strong>
	  </p>

	  <ul>
	    <xsl:for-each select="day/event">
	      <li>
		<xsl:element name="a">
		  <xsl:attribute name="name">
		    <xsl:value-of select="concat('event-', ../../../@name,
		      '-', ../../@id, '-', ../@name, '-', @id)" />
		  </xsl:attribute>
		</xsl:element>
		<strong>
		  <xsl:value-of select="concat(../../@name, ' ', ../@name,
		    ', ', ../../../@name, ':')" />
		</strong>
		<xsl:apply-templates />
	      </li>
	    </xsl:for-each>
	  </ul>
	</xsl:for-each>

	<br />
	<hr noshade="noshade" />
	<br />

	<p>
	  <a href="http://validator.w3.org/check/referer"><img
	    src="../images/valid-xhtml10.png" alt="Valid XHTML 1.0!"
	    height="31" width="88" border="0" /></a>

	  <a href="http://xmlsoft.org/XSLT/"><img
	    src="../images/Libxslt-Logo-180x168.gif" alt="Powered by Libxslt"
	    border="0" /></a>
	</p>
	
	<xsl:if test="count(vcs) > 0">
	  <p>
	    Generated from:
	    <br />
	    <xsl:for-each select="vcs">
	      <xsl:value-of select="concat(' ', @id, ' ')" />
	      <br />
	    </xsl:for-each>
	    <xsl:text>$Ringlet: bsd-patches/news.xsl,v 1.4 2004/01/12 08:54:11 roam Exp $</xsl:text>
	  </p>
	</xsl:if>
      </body>
    </html>
  </xsl:template>

  <xsl:template match="event/p/patch">
    <xsl:element name="a">
      <xsl:attribute name="href">
	<xsl:value-of select="concat(
	  'http://www.ringlet.net/~roam/bsd-patches/', @coll, '/', @name)" />
      </xsl:attribute>
      <xsl:value-of select="concat(@coll, '/', @name)" />
    </xsl:element>
  </xsl:template>

  <xsl:template match="event/p/a">
    <xsl:element name="a">
      <xsl:attribute name="href">
	<xsl:value-of select="@href" />
      </xsl:attribute>
      <xsl:apply-templates />
    </xsl:element>
  </xsl:template>
</xsl:stylesheet>
